diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/js/schema.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/js/schema.js
index 76919aa..121af60 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/js/schema.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/templates/schema/js/schema.js
@@ -112,8 +112,11 @@ function($, _, S, pgAdmin, pgBrowser, Backform, alertify) {
     id: 'security', label: '{{ _("Security")  }}', type: 'group',
     // Show/Hide security group for nodes under the catalog
     visible: function(args) {
-      if (args && 'node_info' in args && 'catalog' in args.node_info) {
-        return false;
+      if (args && 'node_info' in args) {
+        // If node_info is not present in current object then it might in its
+        // parent in case if we used sub node control
+        var node_info = args.node_info || args.handler.node_info;
+        return 'catalog' in node_info ? false : true;
       }
       return true;
     }
